/*--------------------------------------------------------------------*/
/*  This file contains sample code.  IBM PROVIDES THIS CODE ON AN     */
/*  'AS IS' BASIS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS        */
/*  OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES  */
/*  OF MERCHANT ABILITY OR FITNESS FOR A PARTICULAR PURPOSE.          */
/*                                                                    */
/*  (C) Copyright IBM Corp. 1998, 2000                                */
/*--------------------------------------------------------------------*/
package com.ibm.etill.kitcashcassette;

public interface KitCashPurchaseConstants
{
  public static final String KITCASHPURCHASE_TABLE = "KITCASHPURCHASE";
  public static final String KITCASHPURCH_VIEW = "KITCASHPURCHView";

  // This column name purposely matches the Payment Manager column name
  // in the ETORDER and ETPAYMENT tables.
  public static final String COL_ACCOUNTNUMBER     = "ACCOUNTNUMBER";

  // KitCash defines a view on the KITCASHPURCHASE table that can be used
  // by the XDM to retrieve data in union with Payment Manager on queries.

  public static final String VIEW_MERCHANTNUMBER   = "MERCHANTNUMBER";
  public static final String VIEW_ORDERNUMBER      = "ORDERNUMBER";
  public static final String VIEW_ACCOUNTNUMBER    = "ACCOUNTNUMBER";

  // XDM propertyIDs.  These must match what is in the PSPL for KitCash.
  public static final String XDM_ACCOUNTNUMBER     = "accountnumber";
}
